---
id: 68592807861cfb658c90f70f
title: Step 11
challengeType: 20
dashedName: step-11
---

# --description--

Now you can concatenate `str(len(words[line_index]))` to `secret_code`. Remove the `print` call and use the augmented assignment `+=` for concatenation.

# --hints--

Inside the loop you should have `secret_code += str(len(words[line_index]))`.

```js
({
    test: () => runPython(`
    assert _Node(_code).find_function('pin_extractor').find_for_loops()[0].find_bodies()[0].find_aug_variable('secret_code').is_equivalent('secret_code += str(len(words[line_index]))')
    `)
})
```

# --seed--

## --seed-contents--

```py
def pin_extractor(poem):
    secret_code = ''
    lines = poem.split('\n')
    for line_index, line in enumerate(lines):
        print(line_index, line)
        words = line.split()
--fcc-editable-region--
        print(str(len(words[line_index])))
--fcc-editable-region--


poem = """Stars and the moon
shine in the sky
white and bright
until the end of the night"""

pin_extractor(poem)

```
